<component name="ProjectCodeStyleConfiguration">
  <code_scheme name="Project" version="173">
    <option name="CLASS_COUNT_TO_USE_IMPORT_ON_DEMAND" value="6" />
    <option name="NAMES_COUNT_TO_USE_IMPORT_ON_DEMAND" value="6" />
    <option name="RIGHT_MARGIN" value="110" />
    <JavaCodeStyleSettings>
      <option name="DO_NOT_WRAP_AFTER_SINGLE_ANNOTATION" value="true" />
      <option name="CLASS_COUNT_TO_USE_IMPORT_ON_DEMAND" value="6" />
      <option name="NAMES_COUNT_TO_USE_IMPORT_ON_DEMAND" value="6" />
    </JavaCodeStyleSettings>
    <JetCodeStyleSettings>
      <option name="CODE_STYLE_DEFAULTS" value="KOTLIN_OFFICIAL" />
    </JetCodeStyleSettings>
    <ScalaCodeStyleSettings>
      <option name="MULTILINE_STRING_CLOSING_QUOTES_ON_NEW_LINE" value="true" />
    </ScalaCodeStyleSettings>
    <codeStyleSettings language="JAVA">
      <option name="KEEP_FIRST_COLUMN_COMMENT" value="false" />
      <option name="KEEP_CONTROL_STATEMENT_IN_ONE_LINE" value="false" />
      <option name="KEEP_BLANK_LINES_IN_DECLARATIONS" value="1" />
      <option name="KEEP_BLANK_LINES_IN_CODE" value="1" />
      <option name="KEEP_BLANK_LINES_BEFORE_RBRACE" value="1" />
      <option name="BRACE_STYLE" value="2" />
      <option name="CLASS_BRACE_STYLE" value="2" />
      <option name="METHOD_BRACE_STYLE" value="2" />
      <option name="ELSE_ON_NEW_LINE" value="true" />
      <option name="WHILE_ON_NEW_LINE" value="true" />
      <option name="CATCH_ON_NEW_LINE" value="true" />
      <option name="FINALLY_ON_NEW_LINE" value="true" />
      <option name="ALIGN_MULTILINE_PARAMETERS_IN_CALLS" value="true" />
      <option name="ALIGN_MULTILINE_RESOURCES" value="false" />
      <option name="SPACE_WITHIN_ARRAY_INITIALIZER_BRACES" value="true" />
      <option name="SPACE_BEFORE_ARRAY_INITIALIZER_LBRACE" value="true" />
      <option name="CALL_PARAMETERS_WRAP" value="5" />
      <option name="METHOD_PARAMETERS_WRAP" value="5" />
      <option name="RESOURCE_LIST_WRAP" value="5" />
      <option name="EXTENDS_LIST_WRAP" value="1" />
      <option name="THROWS_LIST_WRAP" value="5" />
      <option name="EXTENDS_KEYWORD_WRAP" value="1" />
      <option name="METHOD_CALL_CHAIN_WRAP" value="1" />
      <option name="BINARY_OPERATION_WRAP" value="1" />
      <option name="BINARY_OPERATION_SIGN_ON_NEXT_LINE" value="true" />
      <option name="TERNARY_OPERATION_WRAP" value="5" />
      <option name="ARRAY_INITIALIZER_WRAP" value="1" />
      <option name="METHOD_ANNOTATION_WRAP" value="0" />
      <option name="CLASS_ANNOTATION_WRAP" value="0" />
      <option name="FIELD_ANNOTATION_WRAP" value="0" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="4" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="kotlin">
      <option name="CODE_STYLE_DEFAULTS" value="KOTLIN_OFFICIAL" />
    </codeStyleSettings>
  </code_scheme>
</component>